<%@ Page Language="c#" AutoEventWireup="False" CodeBehind="SharePointConfiguration.aspx.cs" Inherits="EPiServer.ConnectForSharePoint.Web.SharePointConfiguration, EPiServer.ConnectForSharePoint" Title="EPiServer ConnectForSharePoint Add-on" %>

<%@ Import Namespace="EPiServer" %>
<%@ Import Namespace="EPiServer.ConnectForSharePoint.Configuration" %>
<%@ Register Assembly="EPiServer.UI" Namespace="EPiServer.UI.WebControls" TagPrefix="EPiServerUI" %>

<asp:content contentplaceholderid="HeaderContentRegion" runat="server">
</asp:content>

<asp:content contentplaceholderid="FullRegion" runat="server">
    <div class="epi-contentContainer epi-padding">
        <div class="epi-contentArea">
            <h1 class="EP-prefix">
                <%= Translate("/sharepoint/admin/displayname")%>
                <a onclick="window.open('<%= ModuleHelpUrl %>','_blank', 'scrollbars=yes, height=500, location=no, menubar=no, resizable=yes, toolbar=no, width=840');return false;" 
                    title="Help" href="<%= ModuleHelpUrl %>" target="_blank">
                    <img class="EPEdit-CommandTool" align="absmiddle" src="/App_Themes/Default/Images/Tools/Help.png" border="0" alt="Help">
                </a>
            </h1>
            <asp:Panel ID="ConnectionNote" runat="server" />
            <asp:ValidationSummary runat="server" CssClass="EP-validationSummary" />
            <asp:Panel ID="MessagePanel" runat="server" Visible="false" />
        </div>
               
        <asp:Panel runat="server" class="epi-formArea">
            
            <fieldset>
                <legend><%= Translate("/sharepoint/admin/description")%></legend>
            <div class="epi-size10">
                <asp:Label AssociatedControlID="ServerUrl" runat="server"><%# Translate("/sharepoint/admin/serverurl") %></asp:Label>
                <asp:TextBox ID="ServerUrl" runat="server" MaxLength="255" Text="<%# SharePointSection.Instance.Url %>" />
            </div>
            <div class="epi-size10">
                <asp:Label AssociatedControlID="Username" runat="server"><%# Translate("/sharepoint/admin/username") %></asp:Label>
                <asp:TextBox ID="Username" runat="server" MaxLength="255" Text="<%# SharePointSection.Instance.Username %>" />
            </div>

            <div class="epi-size10">
                <asp:Label AssociatedControlID="Password" runat="server"><%# Translate("/sharepoint/admin/password") %></asp:Label>
                <asp:TextBox ID="Password" TextMode="Password" runat="server" MaxLength="255" Text="<%# SharePointSection.Instance.Password %>" />
            </div>
            <div class="epi-size10">
                <label></label>
                <span class="epi-cmsButton">
                    <asp:Button runat="server" ID="Connect" OnClick="Connect_Click" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-ArrowRight" Text="<%$ Resources: EPiServer, sharepoint.admin.connect %>" />
                </span>
            </div>        
            <asp:Panel ID="ListSelector" runat="server" CssClass="epi-size10" Visible="False">
                 <p class="EP-systemInfo">
                    <%= Translate("/sharepoint/admin/selectviewdescription")%>
                </p>
                <asp:CheckBoxList ID="SharePointListCheckBox" runat="server" />
            </asp:Panel>                  
            </fieldset> 
                
            <fieldset>
            <div class="epi-size10">
                <asp:Label AssociatedControlID="EntryPoint" runat="server"><%# Translate("/sharepoint/admin/entrypoint") %></asp:Label>
                <asp:TextBox ID="EntryPoint" runat="server" MaxLength="10" Text="<%# EntryPointId %>" />                
                <asp:RequiredFieldValidator id="EntryPointRequired" runat="server"
                  ControlToValidate="EntryPoint"
                  ErrorMessage='<%# Translate("/sharepoint/admin/entrypointrequired") %>'
                  ForeColor="Red" 
                  validationgroup="inputValidationGroup">
                </asp:RequiredFieldValidator>
            </div>

            <div class="epi-size10">
                <asp:Label AssociatedControlID="ExpirationInMinutes" runat="server"><%# Translate("/sharepoint/admin/expirationinminutes") %></asp:Label>
                <asp:TextBox ID="ExpirationInMinutes" runat="server" MaxLength="10" Text="<%# SharePointSection.Instance.ExpirationInMinutes %>" />
                <i><%# Translate("/sharepoint/admin/message/timeoutgreaterorequalthree") %></i>
            </div>
            <div class="epi-size10">
                 <p class="EP-systemInfo">
                    <%= Translate("/sharepoint/admin/thumbnailoptions/description")%>
                </p>
                <asp:RadioButtonList id="rbThumbnailOption" runat="server" />
            </div>

            </fieldset>

            <p>
                <span class="epi-cmsButton">
                    <asp:Button runat="server" ID="Save" Enabled="False" OnClick="Save_Click" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save" Text="<%$ Resources: EPiServer, sharepoint.admin.save %>" validationgroup="inputValidationGroup" />
                </span>
                <span class="epi-cmsButton">
                    <asp:Button runat="server" ID="Refresh" Enabled="False" OnClick="Refresh_Click" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Refresh" Text="<%$ Resources: EPiServer, sharepoint.admin.refreshcache %>" />
                </span>
            </p>
        </asp:Panel>
    </div>
</asp:content>

